using System.Runtime.InteropServices;

namespace Decal.Interop.Input;

[ClassInterface(ClassInterfaceType.None)]
[TypeLibType(TypeLibTypeFlags.FHidden)]
public sealed class ITimerEvents_SinkHelper : ITimerEvents
{
	public ITimerEvents_TimeoutEventHandler m_TimeoutDelegate;

	public int m_dwCookie;

	public void Timeout(Timer P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_TimeoutDelegate != null)
		{
			m_TimeoutDelegate(P_0);
		}
	}

	internal ITimerEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_TimeoutDelegate = null;
	}
}
